CREATE PROCEDURE DBO.UpdateArrivalAndDeparture2 @ReferenceNumber INT, @GuestNumber INT, @UpdateMainRes INT=1 AS
SET NOCOUNT ON
/*
    DEPENDENCIES: FixReservationGroup, CreateMeetingNameList

    Created by Jacob Pedersen 26/06-2002

    Last Updated: 
	15/07-2002 JP

    This routine is for quickly updating arrival and departure without worrying about the output data

*/
DECLARE @GuestArrivalDate CHAR (8)
DECLARE @GuestArrivalTime CHAR (5)
DECLARE @GuestDepartureDate CHAR (8)
DECLARE @GuestDepartureTime CHAR (5)
DECLARE @GuestAdults INT
DECLARE @GuestChildren1 INT
DECLARE @GuestChildren2 INT
DECLARE @GuestPrice MONEY
DECLARE @GuestTotalPrice Money
DECLARE @GuestProductNumber INT
DECLARE @ArrivalDate CHAR (8)
DECLARE @ArrivalTime CHAR (5)
DECLARE @DepartureDate CHAR (8)
DECLARE @DepartureTime CHAR (5)
DECLARE @Adults INT
DECLARE @Children1 INT
DECLARE @Children2 INT
DECLARE @Price MONEY
DECLARE @TotalPrice MONEY
DECLARE @WasUpdated SMALLINT

EXEC UpdateArrivalAndDeparture @ReferenceNumber, @GuestNumber, @GuestArrivalDate, @GuestArrivalTime, @GuestDepartureDate, @GuestDepartureTime, @GuestAdults, @GuestChildren1, @GuestChildren2,
@GuestPrice, @GuestTotalPrice, @GuestProductNumber, @ArrivalDate, @ArrivalTime, @DepartureDate, @DepartureTime, @Adults, @Children1, @Children2, @Price, @TotalPrice, @UpdateMainRes, @WasUpdated

